WCSWARE(1)

NAME
wcsware - Extract FITS WCS keywords for an image

SYNOPSIS
wcsware [<option>]... [<fitsfile>]

DESCRIPTION
wcsware extracts the WCS keywords for an image from the specified FITS file, constructs wcsprm structs for each coordinate representation found and performs a variety of operations using them. It features a "lint" capability as one of its more useful operations.

By default, all known extensions to the FITS WCS standard are allowed, including deprecated usage. However, in "lint" mode, strict conformance to the standard is enforced.

The FITS file may be specified according to the syntax understood by cfitsio, for example "file.fits.gz+1" refers to the first extension (the second HDU) of a gzip'd FITS file. Use "-" or omit the file name for input from stdin.

OPTIONS

-a<alt>
    Specify an alternate coordinate representation (ignored if there is only one). Can also be specified as a 0-relative index in the range 0 to 26, where alternates are sequenced alphabetically following the primary representation.

-b  Use wcsbth() for primary image headers, normally wcspih() is used. (Implies -i.)

-c  Apply wcspcx() to the wcsprm struct to decompose CDi_ja into PCi_ja and CDELTia.

-cp As for -c, and also unscramble axes.

-C  As for -c, decompose CDi_ja if present, otherwise recompose PCi_ja and CDELTia.

-Cp As for -C, and also unscramble axes.

-f  Apply wcsfix() to the header.

-h<hdu>
    Move to HDU number (1-relative) which is expected to contain an image array. Overrides cfitsio extended filename syntax. Also useful for input from stdin.

-i  Allow image header WCS keywords in binary table headers.

-l  Validate (lint) the WCS keyrecords in the specified FITS header for conformance to the WCS standard. (Implies -s.)

-m  Apply wcstrim() to the wcsprm struct.

-o  Use wcshdo() to translate the wcsprm struct into a FITS header and print it.

-p  Print the struct(s) using wcsprt() (default operation).

-P  Same as -p but don't print a default struct.

-r  Require strict adherence to the FITS WCS standard, though allowing the deprecated AIPS-convention keywords, CROTAn, EPOCH, and VELREF, and also some other deprecated usage. (Must follow -l if relaxed linting is required.)

-s  Require strict adherence to the FITS WCS standard, disallowing all deprecated features.

-t  Terse (with -l), report rejected WCS keyrecords only.

-v  Verbose (with -l), report recognised WCS keyrecords as well.

-w  Convert world coordinates, obtained from stdin, to pixel coordinates using wcss2p().

-x  Convert pixel coordinates, obtained from stdin, to world coordinates using wcsp2s().

-z  Print the size of the wcsprm struct, including allocated memory.